Bug 193944 - Find URL from an Image
Find URL from an Image
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
6.x
PC Linux
: P1 (vote)
: 7.0
Assigned To: Jaroslav Tulach
issues@platform
: API_REVIEW_FAST
Depends on:
Blocks: 183778
  Show dependency treegraph
 
Reported: 2010-12-30 16:40 UTC by Jaroslav Tulach
Modified: 2011-01-11 06:09 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Image getProperty("url", null) (8.13 KB, patch)
2010-12-30 16:54 UTC, Jaroslav Tulach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2010-12-30 16:40:59 UTC
Most of images used inside the NetBeans Platform application have associated URL as they come directly from JARs. Here is a proposal for an API to allow one to obtain the URL when having just the Image object.
Comment 1 Jaroslav Tulach 2010-12-30 16:54:09 UTC
Created attachment 104634 [details]
Image getProperty("url", null)
Comment 2 Jaroslav Tulach 2010-12-30 16:58:22 UTC
This changes is needed for bug 183778. In that patch, I need to display an image inside an HtmlBrowser. The browser works with URLs, the API works with Images. With this improvement they can cooperate nicely.
Comment 3 Jaroslav Tulach 2011-01-07 10:00:17 UTC
I'll integrate on Monday.
Comment 4 Jaroslav Tulach 2011-01-09 08:23:33 UTC
ergonomics#c47d80b38a0c
Comment 5 Quality Engineering 2011-01-11 06:09:44 UTC
Integrated into 'main-golden', will be available in build *201101110000* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/c47d80b38a0c
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #193944: Ability to find URL from an Image


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo